WordPress Errore 500 Internal Server Error su Update e Plugin nella Bacheca

errore server 500 bacheca wordpress plugin update

Oggi ci occuperemo di come risolvere il problema “Errore 500 – Internal Server Error” che si presenta sulla bacheca di WordPress quando si selezionano le voci “Update” e “Plugin“. Un errore del server che ho riscontrato su siti ospitati su Aruba e Tophost e che potrebbe mandare nel panico. In realtà si risolve rapidamente con una piccola operazione di aggiornamento della versione php.

Risolvere errore 500 su Update e Plugin di WordPress

Come dicevo, ho riscontrato questo errore solo con Aruba e Tophost. Come si manifesta?

Semplice: il blogger di turno, mentre naviga sulla bacheca di WordPress, nota che ci sono degli aggiornamenti da fare. Prova a cliccare sulla voce “Update” e si ritrova una bella schermata che segnala l’errore 500, ovvero Internal Server Error. Vedi immagine seguente.

errore-500-wordpress-update-e-plugin

errore 500 wordpress update e plugin

Anche se si cerca di accedere ai Plugin succede la stessa cosa, mentre il resto (articoli, utenti, media, pagine, ecc…) viene visualizzato correttamente.

Il problema risiede in una incompatibilità tra la versione di Worpdress installata e la versione PHP utilizzata (spesso la 5.2, ma mi è capitato di vederlo anche con la 5.4).

Come risolvere l’Errore 500 sul menu Update e Plugin di WordPress su Aruba

  1. Accedete al Pannello di Controllo di Aruba
  2. Selezionate Gestione Hosting Linux
  3. Selezionate Scelta della versione PHP
  4. Selezionate una versione PHP più recente
  5. Salvate

Di seguito le immagini con gli screenshot dei passi da fare.

Scelta della versione php Aruba

Scelta della versione php Aruba

 

scelta versione php su aruba

Selezionare una versione php più recente

 

Per essere sicuri di non fare danni, procedete con l’upgrade della versione php di un aggiornamento per volta. Se avete la 5.2 non saltate subito alla 7 insomma. Provate con la 5.3 e verificate. Poi eventualmente provate quella successiva fino ad arrivare alla 5.6. Qui fermatevi perché non so se il vostro tema ed i plugin installati supportano una versione superiore. Potete tentare e se andasse male potreste tornare alla versione php precedente o richiedere aiuto all’assistenza tecnica Aruba. Naturalmente l’ideale sarebbe utilizzare la versione php più recente.

Cosa fare se non funziona

In questa maniera, 99 volte su 100 il problema si risolve. Ma se così non fosse, vi consiglio di effettuare la riparazione delle “permissions” dei files (riparazione dei permessi in lettura-scrittura), sempre dal pannello di controllo di Aruba. Nell’immagine successiva vi indico dove cliccare.

riparazione permissions aruba

riparazione permissions aruba

Dopo aver cliccato su riparazione permissions, nella finestra popup che si apre, date il comando per effettuarla. Attendete qualche minuto e provate ad accedere di nuovo al menu update della bacheca di Worpdress per vedere se funziona.

Con questo comando, resettiamo i premessi di lettura-scrittura sui files che evidentemente si erano impostati, per qualche strano motivo, su un valore che generava l’errore.

Come risolvere l’Errore 500 sul menu Update e Plugin di WordPress su TopHost

Il problema su Tophost si potrebbe verificare per lo stesso motivo. Di solito questo hosting, nel piano base (TopWeb) utilizza la versione php 5.4 che però non è più supportata e fino a qualche giorno fa non vi era modo di passare alla versione successiva.

Dall’Agosto 2017 invece questo upgrade è stato reso possibile e lo consiglio a tutti, anche quelli che non hanno avuto il problema dell’errore 500 sulla bacheca di WordPress.

Ecco i passaggi da compiere.

  • Accedete al Pannello di Controllo di TopHost
  • Cliccate sull’icona a forma di ingranaggio
  • Cliccate su Configurazione PHP
  • Selezionate la versione 5.6
  • Cliccate sul pulsante “Imposta” per salvare

pannello controllo tophost

Cliccate sull’icona a forma di ingranaggio

configurazione php su tophost

Cliccate su configurazione php

Selezionare la versione php 5.6

Selezionare la versione php 5.6

A questo punto il problema Errore 500 Internal Server Error sulla bacheca di WordPress quando si seleziona la voce Update o la voce Plugin è risolto.

 

Summary
Wordpress Errore 500 Internal Server Error su Update e Plugin nella Bacheca
Article Name
WordPress Errore 500 Internal Server Error su Update e Plugin nella Bacheca
Description
Come risolvere il problema Errore 500 sulla Bacheca di WordPress quando si cerca di accedere al menu Update e Plugin? 5 Minuti per far scomparire l'errore.
Author
Publisher Name
flavioweb.net
Publisher Logo

AD

About the author

Flavio

Mi trovo nel campo del web dal 2006. Nel tempo mi sono specializzato soprattutto nell’indicizzazione,  nel posizionamento di siti internet e nell’utilizzo dei social media principali a fini di marketing.

Readers Comments (2)

  1. Grazie Flavio, risolto il problema aggiornando la versione PHP. Ho dovuto caricare una versione intermedia su Aruba…..

Leave a comment

Your email address will not be published.


*


*